## ardour3 3.5.308~dfsg

=== wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
from waflib import Options
import os
import re
import string
import subprocess
import sys

def fetch_git_revision ():
    cmd = "git describe HEAD"
    output = subprocess.Popen(cmd, shell=True, stderr=subprocess.STDOUT, stdout=subprocess.PIPE).communicate()[0].splitlines()
    rev = output[0].decode ('utf-8')
    return rev

def fetch_tarball_revision ():
    if not os.path.exists ('libs/ardour/revision.cc'):
        print 'This tarball was not created correctly - it is missing libs/ardour/revision.cc'
        sys.exit (1)
    with open('libs/ardour/revision.cc') as f:
        content = f.readlines()
        remove_punctuation_map = dict((ord(char), None) for char in '";')
        return content[1].decode('utf-8').strip().split(' ')[7].translate (remove_punctuation_map)

if os.path.isdir (os.path.join(os.getcwd(), '.git')):
    rev = fetch_git_revision ()
else:
    rev = fetch_tarball_revision ()

#
# rev is now of the form MAJOR.MINOR-rev-commit
#

parts = rev.split ('.')
MAJOR = parts[0]
other = parts[1].split ('-')
MINOR = other[0]
MICRO = other[1]

V = MAJOR + '.' + MINOR + '.' + MICRO
#
# it is important that VERSION *not* be unicode string
# because if it is, it breaks waf somehow.
#
VERSION = V.encode ('ascii', 'ignore')
APPNAME = 'Ardour' + MAJOR

# Mandatory variables
top = '.'
out = 'build'

children = [
        'libs/pbd',
        'libs/midi++2',
        'libs/evoral',
        'libs/vamp-sdk',
        'libs/qm-dsp',
        'libs/vamp-plugins',
        'libs/taglib',
        'libs/libltc',
        'libs/rubberband',
        'libs/surfaces',
        'libs/panners',
        'libs/backends',
        'libs/timecode',
        'libs/ardour',
        'libs/gtkmm2ext',
        'libs/clearlooks-newer',
        'libs/audiographer',
        'libs/plugins/reasonablesynth.lv2',
        'gtk2_ardour',
        'export',
        'midi_maps',
        'mcp',
        'patchfiles'
]

i18n_children = [
        'gtk2_ardour',
        'libs/ardour',
        'libs/gtkmm2ext',
]

if sys.platform == 'linux2':
    children += [ 'tools/sanity_check' ]
    lxvst_default = True
elif sys.platform == 'darwin':
    children += [ 'libs/appleutility' ]
    lxvst_default = False
else:
    lxvst_default = False

# Version stuff

def fetch_gcc_version (CC):
    cmd = "LANG= %s --version" % CC
    output = subprocess.Popen(cmd, shell=True, stderr=subprocess.STDOUT, stdout=subprocess.PIPE).communicate()[0].splitlines()
    o = output[0].decode('utf-8')
    version = o.split(' ')[2].split('.')
    return version

def create_stored_revision():
    rev = ""
    if os.path.exists('.git'):
        rev = fetch_git_revision();
        print("Git version: " + rev + "\n")
    elif os.path.exists('libs/ardour/revision.cc'):
        print("Using packaged revision")
        return
    else:
        print("Missing libs/ardour/revision.cc.  Blame the packager.")
        sys.exit(-1)

    try:
        #
        # if you change the format of this, be sure to fix fetch_tarball_revision() above
        # so that  it still works.
        #
        text =  '#include "ardour/revision.h"\n'
        text += 'namespace ARDOUR { const char* revision = \"%s\"; }\n' % rev
        print('Writing revision info to libs/ardour/revision.cc using ' + rev)
        o = open('libs/ardour/revision.cc', 'w')
        o.write(text)
        o.close()
    except IOError:
        print('Could not open libs/ardour/revision.cc for writing\n')
        sys.exit(-1)

def set_compiler_flags (conf,opt):
    #
    # Compiler flags and other system-dependent stuff
    #

    build_host_supports_sse = False

    # Flags necessary for building
    compiler_flags = []     # generic
    c_flags = []            # C-specific
    cxx_flags = []          # C++-specific
    linker_flags = []

    # Optimization flags (overridable)
    optimization_flags = []

    # Debugging flags
    debug_flags = []

    u = os.uname ()
    cpu = u[4]
    platform = u[0].lower()
    version = u[2]

    # waf adds -O0 -g itself. thanks waf!
    is_clang = conf.env['CXX'][0].endswith('clang++')
    
    if conf.options.cxx11:
        conf.check_cxx(cxxflags=["-std=c++11"])
        cxx_flags.append('-std=c++11')
        if platform == "darwin":
            cxx_flags.append('-stdlib=libc++')
            link_flags.append('-lc++')
            # Prevents visibility issues in standard headers
            conf.define("_DARWIN_C_SOURCE", 1)

    if conf.options.asan:
        conf.check_cxx(cxxflags=["-fsanitize=address", "-fno-omit-frame-pointer"], linkflags=["-fsanitize=address"])
        cxx_flags.append('-fsanitize=address')
        cxx_flags.append('-fno-omit-frame-pointer')
        linker_flags.append('-fsanitize=address')

    if is_clang and platform == "darwin":
        # Silence warnings about the non-existing osx clang compiler flags
        # -compatibility_version and -current_version.  These are Waf
        # generated and not needed with clang
        cxx_flags.append("-Qunused-arguments")
        
    if opt.gprofile:
        debug_flags = [ '-pg' ]

    if opt.backtrace:
        if platform != 'darwin' and not is_clang:
            debug_flags = [ '-rdynamic' ]

    # Autodetect
    if opt.dist_target == 'auto':
        if platform == 'darwin':
            # The [.] matches to the dot after the major version, "." would match any character
            if re.search ("^[0-7][.]", version) != None:
                conf.env['build_target'] = 'panther'
            elif re.search ("^8[.]", version) != None:
                conf.env['build_target'] = 'tiger'
            elif re.search ("^9[.]", version) != None:
                conf.env['build_target'] = 'leopard'
            elif re.search ("^10[.]", version) != None:
                conf.env['build_target'] = 'snowleopard'
            elif re.search ("^11[.]", version) != None:
                conf.env['build_target'] = 'lion'
            else:
                conf.env['build_target'] = 'mountainlion'
        else:
            match = re.search(
                    "(?P<cpu>i[0-6]86|x86_64|powerpc|ppc|ppc64|arm|s390x?)",
                    cpu)
            if (match):
                conf.env['build_target'] = match.group("cpu")
                if re.search("i[0-5]86", conf.env['build_target']):
                    conf.env['build_target'] = "i386"
            else:
                conf.env['build_target'] = 'none'
    else:
        conf.env['build_target'] = opt.dist_target

    if conf.env['build_target'] == 'snowleopard':
        #
        # stupid OS X 10.6 has a bug in math.h that prevents llrint and friends
        # from being visible.
        # 
        compiler_flags.append ('-U__STRICT_ANSI__')

    if cpu == 'powerpc' and conf.env['build_target'] != 'none':
        #
        # Apple/PowerPC optimization options
        #
        # -mcpu=7450 does not reliably work with gcc 3.*
        #
        if opt.dist_target == 'panther' or opt.dist_target == 'tiger':
            if platform == 'darwin':
                # optimization_flags.extend ([ "-mcpu=7450", "-faltivec"])
                # to support g3s but still have some optimization for above
                compiler_flags.extend ([ "-mcpu=G3", "-mtune=7450"])
            else:
                compiler_flags.extend ([ "-mcpu=7400", "-maltivec", "-mabi=altivec"])
        else:
            compiler_flags.extend([ "-mcpu=750", "-mmultiple" ])
        compiler_flags.extend (["-mhard-float", "-mpowerpc-gfxopt"])
        optimization_flags.extend (["-Os"])

    elif ((re.search ("i[0-9]86", cpu) != None) or (re.search ("x86_64", cpu) != None)) and conf.env['build_target'] != 'none':


        #
        # ARCH_X86 means anything in the x86 family from i386 to x86_64
        # the compile-time presence of the macro _LP64 is used to 
        # distingush 32 and 64 bit assembler
        #

        if (re.search ("(i[0-9]86|x86_64)", cpu) != None):
            compiler_flags.append ("-DARCH_X86")

        if platform == 'linux' :

            #
            # determine processor flags via /proc/cpuinfo
            #

            if conf.env['build_target'] != 'i386':

                flag_line = os.popen ("cat /proc/cpuinfo | grep '^flags'").read()[:-1]
                x86_flags = flag_line.split (": ")[1:][0].split ()

                if "mmx" in x86_flags:
                    compiler_flags.append ("-mmmx")
                if "sse" in x86_flags:
                    build_host_supports_sse = True
                if "3dnow" in x86_flags:
                    compiler_flags.append ("-m3dnow")

            if cpu == "i586":
                compiler_flags.append ("-march=i586")
            elif cpu == "i686":
                compiler_flags.append ("-march=i686")

        if not is_clang and ((conf.env['build_target'] == 'i686') or (conf.env['build_target'] == 'x86_64')) and build_host_supports_sse:
            compiler_flags.extend (["-msse", "-mfpmath=sse", "-DUSE_XMMINTRIN"])

    # end of processor-specific section

    # optimization section
    if conf.env['FPU_OPTIMIZATION']:
        if sys.platform == 'darwin':
            compiler_flags.append("-DBUILD_VECLIB_OPTIMIZATIONS");
            linker_flags.append("-framework Accelerate")
        elif conf.env['build_target'] == 'i686' or conf.env['build_target'] == 'x86_64':
            compiler_flags.append ("-DBUILD_SSE_OPTIMIZATIONS")
        if not build_host_supports_sse:
            print("\nWarning: you are building Ardour with SSE support even though your system does not support these instructions. (This may not be an error, especially if you are a package maintainer)")

    # end optimization section

    #
    # no VST on x86_64
    #

    if conf.env['build_target'] == 'x86_64' and opt.windows_vst:
        print("\n\n==================================================")
        print("You cannot use VST plugins with a 64 bit host. Please run waf with --windows-vst=0")
        print("\nIt is theoretically possible to build a 32 bit host on a 64 bit system.")
        print("However, this is tricky and not recommended for beginners.")
        sys.exit (-1)

    if opt.lxvst:
        if conf.env['build_target'] == 'x86_64':
            compiler_flags.append("-DLXVST_64BIT")
        else:
            compiler_flags.append("-DLXVST_32BIT")

    #
    # a single way to test if we're on OS X
    #

    if conf.env['build_target'] in ['panther', 'tiger', 'leopard', 'snowleopard' ]:
        conf.define ('IS_OSX', 1)
        # force tiger or later, to avoid issues on PPC which defaults
        # back to 10.1 if we don't tell it otherwise.

        compiler_flags.extend(
                ("-DMAC_OS_X_VERSION_MIN_REQUIRED=1040",
                 '-mmacosx-version-min=10.4'))

    elif conf.env['build_target'] in [ 'lion', 'mountainlion' ]:
        compiler_flags.extend(
                ("-DMAC_OS_X_VERSION_MIN_REQUIRED=1070",
                 '-mmacosx-version-min=10.7'))
    else:
        conf.define ('IS_OSX', 0)

    #
    # save off CPU element in an env
    #
    conf.define ('CONFIG_ARCH', cpu)

    #
    # ARCH="..." overrides all
    #

    if opt.arch != None:
        optimization_flags = opt.arch.split()

    #
    # prepend boiler plate optimization flags that work on all architectures
    #

    optimization_flags[:0] = ["-pipe"]

    # don't prepend optimization flags if "-O<something>" is present
    prepend_opt_flags = True
    for flag in optimization_flags:
        if flag.startswith("-O"):
            prepend_opt_flags = False
            break

    if prepend_opt_flags:
        optimization_flags[:0] = [
                "-O3",
                "-fomit-frame-pointer",
                "-ffast-math",
                "-fstrength-reduce"
                ]

    if opt.stl_debug:
        cxx_flags.append("-D_GLIBCXX_DEBUG")

    if conf.env['DEBUG_RT_ALLOC']:
        compiler_flags.append('-DDEBUG_RT_ALLOC')
        linker_flags.append('-ldl')

=== export/wscript ===
#!/usr/bin/python

import os

top = '.'
out = 'build'

def configure(conf):
    pass

def build(bld):
    presets = bld.path.ant_glob ('*.preset')
    formats = bld.path.ant_glob ('*.format')
    bld.install_files (os.path.join(bld.env['DATADIR'], 'ardour3', 'export'),
                      presets + formats)

def options(opt):
    pass

=== gtk2_ardour/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
from waflib import Options, TaskGen
import waflib.Logs as Logs, waflib.Utils as Utils
import os
import sys
import re
import time
from waflib.Task import Task

I18N_PACKAGE = 'gtk2_ardour3'

# Mandatory variables
top = '.'
out = 'build'

path_prefix = 'gtk2_ardour/'

gtk2_ardour_sources = [
        'about.cc',
        'actions.cc',
        'add_route_dialog.cc',
        'ambiguous_file_dialog.cc',
        'analysis_window.cc',
        'ardour_button.cc',
        'ardour_dialog.cc',
        'ardour_ui.cc',
        'ardour_ui2.cc',
        'ardour_ui_dependents.cc',
        'ardour_ui_dialogs.cc',
        'ardour_ui_ed.cc',
        'ardour_ui_mixer.cc',
        'ardour_ui_options.cc',
        'ardour_window.cc',
        'audio_clock.cc',
        'audio_region_editor.cc',
        'audio_region_view.cc',
        'audio_streamview.cc',
        'audio_time_axis.cc',
        'automation_controller.cc',
        'automation_line.cc',
        'automation_region_view.cc',
        'automation_streamview.cc',
        'automation_time_axis.cc',
        'axis_view.cc',
        'big_clock_window.cc',
        'bundle_manager.cc',
        'button_joiner.cc',
        'canvas-flag.cc',
        'canvas-hit.cc',
        'canvas-note-event.cc',
        'canvas-note.cc',
        'canvas_patch_change.cc',
        'canvas-simpleline.c',
        'canvas-simplerect.c',
        'canvas-sysex.cc',
        'canvas-waveview.c',
        'clock_group.cc',
        'configinfo.cc',
        'control_point.cc',
        'control_point_dialog.cc',
        'curvetest.cc',
        'debug.cc',
        'diamond.cc',
        'edit_note_dialog.cc',
        'editing.cc',
        'editor.cc',
        'editor_actions.cc',
        'editor_audio_import.cc',
        'editor_audiotrack.cc',
        'editor_canvas.cc',
        'editor_canvas_events.cc',
        'editor_component.cc',
        'editor_cursors.cc',
        'editor_drag.cc',
        'editor_route_groups.cc',
        'editor_export_audio.cc',
        'editor_group_tabs.cc',
        'editor_keys.cc',
        'editor_locations.cc',
        'editor_markers.cc',
        'editor_mixer.cc',
        'editor_mouse.cc',
        'editor_ops.cc',
        'editor_regions.cc',
        'editor_routes.cc',
        'editor_rulers.cc',
        'editor_selection.cc',
        'editor_snapshots.cc',
        'editor_summary.cc',
        'editor_tempodisplay.cc',
        'editor_timefx.cc',
        'engine_dialog.cc',
        'enums.cc',
        'export_channel_selector.cc',
        'export_dialog.cc',
        'export_file_notebook.cc',
        'export_filename_selector.cc',
        'export_format_dialog.cc',
        'export_format_selector.cc',
        'export_preset_selector.cc',
        'export_timespan_selector.cc',
        'fft.cc',
        'fft_graph.cc',
        'fft_result.cc',
        'sfdb_freesound_mootcher.cc',
        'gain_meter.cc',
        'generic_pluginui.cc',
        'ghostregion.cc',
        'global_port_matrix.cc',
        'group_tabs.cc',
        'gtk-custom-hruler.c',
        'gtk-custom-ruler.c',
        'gtk_pianokeyboard.c',
        'gui_object.cc',
        'insert_time_dialog.cc',
        'interthread_progress_window.cc',
        'io_selector.cc',
        'keyboard.cc',
        'keyeditor.cc',
        'latency_gui.cc',
        'led.cc',
        'level_meter.cc',
        'lineset.cc',
        'location_ui.cc',
        'main.cc',
        'main_clock.cc',
        'marker.cc',
        'midi_automation_line.cc',
        'midi_channel_dialog.cc',
        'midi_channel_selector.cc',
        'midi_cut_buffer.cc',
        'midi_export_dialog.cc',
        'midi_list_editor.cc',
        'midi_port_dialog.cc',
        'midi_region_view.cc',
        'midi_scroomer.cc',
        'midi_selection.cc',
        'midi_streamview.cc',
        'midi_time_axis.cc',
        'midi_tracer.cc',
        'midi_velocity_dialog.cc',
        'missing_file_dialog.cc',
        'missing_plugin_dialog.cc',
        'mixer_actor.cc',
        'mixer_group_tabs.cc',
        'mixer_strip.cc',
        'mixer_ui.cc',
        'meterbridge.cc',
        'meter_strip.cc',
        'meter_patterns.cc',
        'monitor_section.cc',
        'mono_panner.cc',
        'mono_panner_editor.cc',
        'mouse_cursors.cc',
        'nag.cc',
        'new_plugin_preset_dialog.cc',
        'normalize_dialog.cc',
        'note_player.cc',
        'nsm.cc',
        'nsmclient.cc',
        'option_editor.cc',
        'opts.cc',
        'panner2d.cc',
        'panner_editor.cc',
        'panner_interface.cc',
        'panner_ui.cc',
        'piano_roll_header.cc',
        'pingback.cc',
        'playlist_selector.cc',
        'plugin_eq_gui.cc',
        'plugin_selector.cc',
        'plugin_ui.cc',
        'port_group.cc',
        'port_insert_ui.cc',
        'port_matrix.cc',
        'port_matrix_body.cc',
        'port_matrix_column_labels.cc',
        'port_matrix_component.cc',
        'port_matrix_grid.cc',
        'port_matrix_labels.cc',
        'port_matrix_row_labels.cc',
        'processor_box.cc',
        'patch_change_dialog.cc',
        'progress_reporter.cc',
        'prompter.cc',
        'public_editor.cc',
        'quantize_dialog.cc',
        'rc_option_editor.cc',
        'region_editor.cc',
        'region_gain_line.cc',
        'region_layering_order_editor.cc',
        'region_selection.cc',
        'region_view.cc',
        'return_ui.cc',
        'rhythm_ferret.cc',
        'route_group_dialog.cc',
        'route_group_menu.cc',
        'route_params_ui.cc',
        'route_processor_selection.cc',
        'route_time_axis.cc',
        'route_ui.cc',
        'search_path_option.cc',
        'selection.cc',
        'send_ui.cc',
        'session_dialog.cc',
        'session_import_dialog.cc',
        'session_metadata_dialog.cc',
        'session_option_editor.cc',
        'sfdb_ui.cc',
        'shuttle_control.cc',
        'simpleline.cc',
        'simplerect.cc',
        'splash.cc',
        'speaker_dialog.cc',
        'startup.cc',
        'step_editor.cc',
        'step_entry.cc',
        'stereo_panner.cc',
        'stereo_panner_editor.cc',
        'streamview.cc',
        'strip_silence_dialog.cc',
        'tape_region_view.cc',
        'tempo_dialog.cc',
        'tempo_lines.cc',
        'theme_manager.cc',
        'time_axis_view.cc',
        'time_axis_view_item.cc',
        'time_fx_dialog.cc',
        'time_info_box.cc',
        'time_selection.cc',
        'track_selection.cc',
        'track_view_list.cc',
        'transpose_dialog.cc',
        'ui_config.cc',
        'utils.cc',
        'verbose_cursor.cc',
        'version.cc',
        'visibility_group.cc',
        'volume_controller.cc',
        'waveview.cc',
        'window_manager.cc',
# video-timeline related sources:
        'video_image_frame.cc',
        'add_video_dialog.cc',
        'editor_videotimeline.cc',
        'video_timeline.cc',
        'system_exec.cc',
        'video_monitor.cc',
        'transcode_ffmpeg.cc',
        'transcode_video_dialog.cc',
        'video_server_dialog.cc',
        'utils_videotl.cc',
        'export_video_dialog.cc',
        'export_video_infobox.cc'
]

def options(opt):
    autowaf.set_options(opt)

def configure(conf):
    conf.load('misc')
    conf.load('compiler_cxx')
    # we don't use hard-coded micro versions with ardour, so hard code it to zero
    autowaf.build_version_files(
        path_prefix + 'version.h',
        path_prefix + 'version.cc',
        'gtk2_ardour', conf.env['MAJOR'], conf.env['MINOR'], 0)
    autowaf.configure(conf)

    if re.search ("linux", sys.platform) != None:
        autowaf.check_pkg(conf, 'alsa', uselib_store='ALSA')

    # TODO: Insert a sanity check for on OS X to ensure CoreAudio is present

    autowaf.check_pkg(conf, 'fftw3f', uselib_store='FFTW3F',
                      mandatory=True)
    autowaf.check_pkg(conf, 'flac', uselib_store='FLAC',
                      atleast_version='1.2.1')
    autowaf.check_pkg(conf, 'gthread-2.0', uselib_store='GTHREAD',
                      atleast_version='2.10.1')
    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK',
                      atleast_version='2.18')
    autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM',
                      atleast_version='2.18')
    autowaf.check_pkg(conf, 'libgnomecanvas-2.0',
                      uselib_store='GNOMECANVAS', atleast_version='2.30')
    autowaf.check_pkg(conf, 'libgnomecanvasmm-2.6',
                      uselib_store='GNOMECANVASMM', atleast_version='2.16')
    autowaf.check_pkg(conf, 'ogg', uselib_store='OGG', atleast_version='1.1.2')
    autowaf.check_pkg(conf, 'x11', uselib_store='X11', atleast_version='1.1', mandatory=False)
    autowaf.check_pkg(conf, 'fontconfig', uselib_store='FONTCONFIG')

    conf.write_config_header('gtk2ardour-config.h', remove=False)

    # Boost headers
    autowaf.check_header(conf, 'cxx', 'boost/shared_ptr.hpp')
    autowaf.check_header(conf, 'cxx', 'boost/weak_ptr.hpp')

# Add a waf `feature' to allow compilation of things using winegcc
from waflib.TaskGen import feature
@feature("wine")
def set_winegcc(self):
    self.env.LINK_CXX = self.env.LINK_CC = 'wineg++'
    self.env.CC = 'winegcc'

def _doPyp(infileName, deps = False):
    outStr = ''
    out = []
    re_spaces = re.compile("\s+")

    if infileName == '-':
        fd = sys.stdin
    else:
        fd = open(infileName)
    inLines = fd.readlines()
    if fd != sys.stdin:
        fd.close()
        

    for line in inLines:
        bits = re_spaces.split(line)
        if bits[0] == '##include':
            incName = bits[1]
            if (deps):
                out += [ incName ]
            else:
                # assume included file comes from same place as source file
                incName = os.path.join (os.path.dirname (infileName), incName);
                outStr += _doPyp(incName)
        else:
            if not deps:
                outStr += line

    # done
    if deps:
        return out
    else:
        return outStr

def include_processor(task):
    infileName = task.inputs[0].srcpath()
    outfileName = os.path.join(out, task.outputs[0].bldpath())
    fdOut = open (outfileName, "w")
    fdOut.write (_doPyp(infileName))
    fdOut.close ()


def build_color_scheme(path, prefix):
    f = open (path, 'r')
    color_scheme = ''
    for line in f:
        if re.search ('^#@color', line):
            line.strip() # remove newline
            words = line.split()
            if len(color_scheme):
                color_scheme += ';'
            color_scheme += prefix
            color_scheme += '_'
            color_scheme += words[1]
            color_scheme += ':'
            color_scheme += words[2]
    f.close()
    return color_scheme

def build(bld):

    VERSION = "%s.%s" % (bld.env['MAJOR'], bld.env['MINOR'])

    if bld.is_defined('WINDOWS_VST_SUPPORT'):
        # If we require VST support we build a stub main() and the FST library
        # here using winegcc, and link it to the GTK front-end library
        obj = bld (features = 'cxx c cxxprogram wine')
        obj.source = (
            '../libs/fst/fst.c',
            '../libs/fst/fstinfofile.c',
            '../libs/fst/vsti.c',
            '../libs/fst/vstwin.c',
            '../vst/winmain.c',
            )
        #
        # XXX do we really need to explicitly link to all of these for the wine executable?
        #
        obj.use          = [ 'libpbd',
                             'libmidipp',
                             'libardour',
                             'libardour_cp',
                             'libtimecode',
                             'libmidipp',
                             'libgtk2_ardour',
                             'libgtkmm2ext',
                             ]
        obj.target = 'ardour-' + bld.env['VERSION'] + '-vst.exe.so'
        obj.includes  = [ '../libs/fst', '.' ]

=== patchfiles/wscript ===
#!/usr/bin/python

import os

top = '.'
out = 'build'

def configure(conf):
    pass

def build(bld):
    patchfiles = bld.path.ant_glob ('*.midnam')
    bld.install_files (os.path.join(bld.env['DATADIR'], 'ardour3', 'patchfiles'), patchfiles)

def options(opt):
    pass

=== libs/appleutility/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

libappleutility_sources = [
        'AUOutputBL.cpp',
        'AUParamInfo.cpp',
        'CAAudioChannelLayout.cpp',
        'CAAudioChannelLayoutObject.cpp',
        'CAAudioFile.cpp',
        'CAAudioUnit.cpp',
        'CAAUParameter.cpp',
        'CABufferList.cpp',
        'CACFDictionary.cpp',
        'CACFNumber.cpp',
        'CACFString.cpp',
        'CAComponent.cpp',
        'CAComponentDescription.cpp',
        'CADebugMacros.cpp',
        'CAStreamBasicDescription.cpp',
        'CAXException.cpp'
]

def options(opt):
    autowaf.set_options(opt)

def configure(conf):
    autowaf.configure(conf)

def build(bld):
    obj                = bld(features = 'cxx cxxshlib')
    obj.uselib         = 'AUDIOUNITS OSX'
    obj.source         = libappleutility_sources
    obj.export_includes = ['.']
    obj.includes       = ['.']
    obj.name           = 'libappleutility'
    obj.target         = 'appleutility'
    obj.install_path   = os.path.join(bld.env['LIBDIR'], 'appleutility')


def shutdown():
    autowaf.shutdown()

def i18n(bld):
    pass

=== libs/backends/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

# Mandatory variables
top = '.'
out = 'build'

backends = [ 'jack' ]

def options(opt):
    autowaf.set_options(opt)

def sub_config_and_use(conf, name, has_objects = True):
    conf.recurse(name)
    autowaf.set_local_lib(conf, name, has_objects)

def configure(conf):
    autowaf.set_recursive()
    autowaf.configure(conf)

    for i in backends:
        sub_config_and_use(conf, i)

def build(bld):
    for i in backends:
        bld.recurse(i)

=== libs/midi++2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
from waflib import Options
import os
import sys

# Version of this package (even if built as a child)
MAJOR = '2'
MINOR = '1'
MICRO = '1'
LIBMIDIPP_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
LIBMIDIPP_LIB_VERSION = '4.1.0'

# Variables for 'waf dist'
APPNAME = 'libmidipp'
VERSION = LIBMIDIPP_VERSION

# Mandatory variables
top = '.'
out = 'build'

path_prefix = 'libs/midi++2/'


libmidi_sources = [
        'midi.cc',
        'channel.cc',
        'ipmidi_port.cc',
        'parser.cc',
        'port.cc',
        'midnam_patch.cc',
        'mmc.cc',
        'mtc.cc',
        'version.cc',
]

def options(opt):
    autowaf.set_options(opt)
    opt.add_option('--test', action='store_true', default=False, dest='build_tests',
                    help="Build unit tests")

def configure(conf):
    conf.load('compiler_cxx')
    autowaf.build_version_files(path_prefix+'midi++/version.h', path_prefix+'version.cc',
                    'midipp', MAJOR, MINOR, MICRO)
    autowaf.configure(conf)
    autowaf.check_pkg(conf, 'cppunit', uselib_store='CPPUNIT', atleast_version='1.12.0', mandatory=False)
    autowaf.check_pkg(conf, 'libxml-2.0', uselib_store='XML')
    autowaf.check_pkg(conf, 'sigc++-2.0', uselib_store='SIGCPP', atleast_version='2.0')

    # Boost headers
    autowaf.check_header(conf, 'cxx', 'boost/shared_ptr.hpp')
    autowaf.check_header(conf, 'cxx', 'boost/weak_ptr.hpp')

def build(bld):
    # Library
    if bld.is_defined ('INTERNAL_SHARED_LIBS'):
        obj              = bld.shlib(features = 'cxx cxxshlib', source=libmidi_sources)
    else:
        obj              = bld.stlib(features = 'cxx cxxstlib', source=libmidi_sources)
        obj.cxxflags = [ '-fPIC' ]
    # everybody loves JACK
    obj.export_includes = ['.']
    obj.includes     = ['.', '../surfaces/control_protocol', '../ardour' ]
    obj.name         = 'libmidipp'
    obj.target       = 'midipp'
    obj.uselib       = 'GLIBMM SIGCPP XML OSX'
    obj.use          = 'libpbd libevoral libtimecode'
    obj.vnum         = LIBMIDIPP_LIB_VERSION
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'ardour3')

    if bld.env['BUILD_TESTS'] and bld.is_defined('HAVE_CPPUNIT'): 
        # Unit tests
        obj              = bld(features = 'cxx cxxprogram')
        obj.source       = '''
                test/MidnamTest.cpp
                test/testrunner.cpp
        '''
        obj.includes     = ['.', './src']
        obj.use          = 'libmidipp'
        obj.uselib       = 'CPPUNIT XML'
        obj.target       = 'run-tests'
        obj.name         = 'libmidipp-tests'
        obj.install_path = ''

def shutdown():
    autowaf.shutdown()

=== libs/panners/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os

# Mandatory variables
top = '.'
out = 'build'

panners = [ '2in2out', '1in2out', 'vbap', 'stereobalance' ]

def options(opt):
    autowaf.set_options(opt)

def sub_config_and_use(conf, name, has_objects = True):
    conf.recurse(name)
    autowaf.set_local_lib(conf, name, has_objects)

def configure(conf):
    autowaf.set_recursive()
    autowaf.configure(conf)

    for i in panners:
        sub_config_and_use(conf, i)

def build(bld):
    for i in panners:
        bld.recurse(i)

=== libs/pbd/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
from waflib import Options
from waflib import TaskGen
import os
import sys

# Version of this package (even if built as a child)
MAJOR = '4'
MINOR = '1'
MICRO = '0'
LIBPBD_VERSION = "%s.%s.%s" % (MAJOR, MINOR, MICRO)

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
LIBPBD_LIB_VERSION = '4.1.0'

# Variables for 'waf dist'
APPNAME = 'libpbd'
VERSION = LIBPBD_VERSION
I18N_PACKAGE = 'libpbd4'

# Mandatory variables
top = '.'
out = 'build'

path_prefix = 'libs/pbd/'

libpbd_sources = [
    'basename.cc',
    'base_ui.cc',
    'boost_debug.cc',
    'cartesian.cc',
    'command.cc',
    'convert.cc',
    'controllable.cc',
    'controllable_descriptor.cc',
    'clear_dir.cc',
    'crossthread.cc',
    'cpus.cc',
    'debug.cc',
    'enumwriter.cc',
    'event_loop.cc',
    'enums.cc',
    'epa.cc',
    'error.cc',
    'file_manager.cc',
    'file_utils.cc',
    'fpu.cc',
    'id.cc',
    'locale_guard.cc',
    'malign.cc',
    'mountpoint.cc',
    'openuri.cc',
    'pathexpand.cc',
    'pathscanner.cc',
    'pbd.cc',
    'pool.cc',
    'property_list.cc',
    'pthread_utils.cc',
    'receiver.cc',
    'search_path.cc',
    'semutils.cc',
    'shortpath.cc',
    'signals.cc',
    'sndfile_manager.cc',
    'stacktrace.cc',
    'stateful_diff_command.cc',
    'stateful.cc',
    'strreplace.cc',
    'strsplit.cc',
    'textreceiver.cc',
    'transmitter.cc',
    'undo.cc',
    'uuid.cc',
    'version.cc',
    'whitespace.cc',
    'xml++.cc',
]

def options(opt):
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_cxx')
    autowaf.build_version_files(path_prefix+'pbd/version.h', path_prefix+'version.cc',
                    'libpbd', MAJOR, MINOR, MICRO)
    autowaf.configure(conf)
    autowaf.check_pkg(conf, 'libxml-2.0', uselib_store='XML')
    autowaf.check_pkg(conf, 'sigc++-2.0', uselib_store='SIGCPP', atleast_version='2.0')
    if sys.platform != 'darwin':
        autowaf.check_pkg(conf, 'uuid', uselib_store='UUID')

    conf.check(function_name='getmntent', header_name='mntent.h', define_name='HAVE_GETMNTENT',mandatory=False)
    conf.check(header_name='execinfo.h', define_name='HAVE_EXECINFO',mandatory=False)
    conf.check(header_name='unistd.h', define_name='HAVE_UNISTD',mandatory=False)
    conf.check_cc(function_name='posix_memalign', header_name='stdlib.h', cflags='-D_XOPEN_SOURCE=600', define_name='HAVE_POSIX_MEMALIGN', mandatory=False)

    conf.write_config_header('libpbd-config.h', remove=False)

    # Boost headers
    autowaf.check_header(conf, 'cxx', 'boost/shared_ptr.hpp')
    autowaf.check_header(conf, 'cxx', 'boost/weak_ptr.hpp')
    # autowaf.check_header(conf, 'cxx', 'boost/uuid/uuid.hpp')

def build(bld):
    
    # Make signals_generated.h using signals.py
    bld(rule = 'python ${SRC} ${TGT}', source = 'pbd/signals.py', target = 'pbd/signals_generated.h')

    # Library
    if bld.is_defined ('INTERNAL_SHARED_LIBS'):
        print('BUILD SHARED LIB')
        obj              = bld.shlib(features = 'cxx cxxshlib', source=libpbd_sources)
    else:
        print('BUILD STATIC LIB')
        obj              = bld.stlib(features = 'cxx cxxstlib', source=libpbd_sources)
        obj.cxxflags     = [ '-fPIC' ]

    if bld.is_defined('DEBUG_RT_ALLOC'):
        obj.source += 'debug_rt_alloc.c'

    obj.export_includes = ['.']
    obj.includes     = ['.']
    obj.name         = 'libpbd'
    obj.target       = 'pbd'
    obj.uselib       = 'GLIBMM SIGCPP XML UUID SNDFILE GIOMM'
    if sys.platform == 'darwin':
        TaskGen.task_gen.mappings['.mm'] = TaskGen.task_gen.mappings['.cc']
        if 'cocoa_open_uri.mm' not in obj.source:
            obj.source += [ 'cocoa_open_uri.mm' ]
        obj.uselib += ' OSX'
    obj.vnum         = LIBPBD_LIB_VERSION
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'ardour3')
    obj.defines     = ['PACKAGE="' + I18N_PACKAGE + '"']
    
    if bld.env['build_target'] == 'x86_64':
        obj.defines += [ 'USE_X86_64_ASM' ]

    if bld.env['BUILD_TESTS'] and bld.is_defined('HAVE_CPPUNIT'):
        # Unit tests
        testobj              = bld(features = 'cxx cxxprogram')
        testobj.source       = '''
                test/testrunner.cc
                test/xpath.cc
                test/scalar_properties.cc
                test/signals_test.cc
                test/convert_test.cc
                test/filesystem_test.cc
                test/test_common.cc
        '''.split()
        testobj.target       = 'run-tests'
        testobj.includes     = obj.includes + ['test', '../pbd']
        testobj.uselib       = 'CPPUNIT XML SNDFILE'
        testobj.use          = 'libpbd'
        testobj.name         = 'libpbd-tests'
        if sys.platform != 'darwin':
            testobj.linkflags    = ['-lrt']


def shutdown():
    autowaf.shutdown()

=== libs/rubberband/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import os
import glob

# Version of this package (even if built as a child)
LIBRUBBERBAND_VERSION = '0.0.0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
LIBRUBBERBAND_LIB_VERSION = '4.1.0'

# Variables for 'waf dist'
APPNAME = 'librubberband'
VERSION = LIBRUBBERBAND_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    autowaf.set_options(opt)

def configure(conf):
    if conf.is_defined('USE_EXTERNAL_LIBS'):
        autowaf.check_pkg(conf, 'rubberband', uselib_store='RUBBERBAND', atleast_version='1.0', mandatory=True)
    else:
        conf.load('compiler_cxx')
        autowaf.configure(conf)

def build(bld):
    if bld.is_defined('USE_EXTERNAL_LIBS'):
        return

    # Library
    obj = bld(features = 'cxx cxxshlib')
    prefix = 'libs/rubberband/'
    sources = glob.glob(prefix + 'src/*.cpp')
    obj.source = [ ]
    for i in sources:
        obj.source += [ i.replace(prefix, '') ]
    obj.export_includes = ['.']
    obj.includes     = ['.', 'rubberband']
    obj.name         = 'librubberband'
    obj.target       = 'rubberband'
    obj.uselib       = 'FFTW3 FFTW3F SAMPLERATE SNDFILE'
    obj.use          = 'libvamphost'
    obj.vnum         = LIBRUBBERBAND_LIB_VERSION
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'ardour3')
    obj.cxxflags     = '-DPACKAGE="librubberband"'

def shutdown():
    autowaf.shutdown()

=== libs/taglib/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import glob
import os

# Version of this package (even if built as a child)
LIBTAGLIB_VERSION = '0.0.0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
LIBTAGLIB_LIB_VERSION = '0.0.0'

# Variables for 'waf dist'
APPNAME = 'libtaglib'
VERSION = LIBTAGLIB_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    autowaf.set_options(opt)

def configure(conf):
    if conf.is_defined('USE_EXTERNAL_LIBS'):
        autowaf.check_pkg(conf, 'taglib', uselib_store='TAGLIB', atleast_version="1.4", mandatory=True)
    else:
        conf.load('compiler_cxx')
        autowaf.configure(conf)

def build(bld):
    if bld.is_defined('USE_EXTERNAL_LIBS'):
        return

    # Library
    obj = bld(features = 'cxx cxxshlib')
    sources = bld.path.ant_glob('taglib/*.cpp')
    sources += bld.path.ant_glob('taglib/flac/*.cpp')
    sources += bld.path.ant_glob('taglib/mpc/*.cpp')
    sources += bld.path.ant_glob('taglib/mpeg/*.cpp')
    sources += bld.path.ant_glob('taglib/mpeg/id3v1/*.cpp')
    sources += bld.path.ant_glob('taglib/mpeg/id3v2/*.cpp')
    sources += bld.path.ant_glob('taglib/mpeg/id3v2/frames/*.cpp')
    sources += bld.path.ant_glob('taglib/ogg/*.cpp')
    sources += bld.path.ant_glob('taglib/ogg/vorbis/*.cpp')
    sources += bld.path.ant_glob('taglib/ogg/speex/*.cpp')
    sources += bld.path.ant_glob('taglib/ogg/flac/*.cpp')
    sources += bld.path.ant_glob('taglib/trueaudio/*.cpp')
    sources += bld.path.ant_glob('taglib/wavpack/*.cpp')
    sources += bld.path.ant_glob('taglib/ape/*.cpp')
    sources += bld.path.ant_glob('taglib/toolkit/*.cpp')
    obj.source = sources

    include_dirs = '''
            taglib
            taglib/toolkit
            taglib/flac
            taglib/ape
            taglib/mpc
            taglib/mpeg
            taglib/mpeg/id3v1
            taglib/mpeg/id3v2
            taglib/wavpack
            taglib/trueaudio
            taglib/ogg
            taglib/ogg/vorbis
            taglib/ogg/speex
            taglib/ogg/flac
    '''.split()
    obj.export_includes = ['.', 'taglib', 'taglib/toolkit']
    obj.includes     = include_dirs
    obj.name         = 'libtaglib'
    obj.target       = 'taglib'
    obj.vnum         = LIBTAGLIB_LIB_VERSION
    obj.install_path = os.path.join(bld.env['LIBDIR'], 'ardour3')

def shutdown():
    autowaf.shutdown()

=== libs/timecode/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
from waflib import Options
import os

# Version of this package (even if built as a child)
TIMECODE_VERSION = '0.0.0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Version history:
#   0.0.0 = 0,0,0
TIMECODE_LIB_VERSION = '0.0.0'

# Variables for 'waf dist'
APPNAME = 'timecode'
VERSION = TIMECODE_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_cxx')
    autowaf.configure(conf)

def build(bld):
    # Library
    obj = bld(features = 'cxx cxxshlib')
    obj.source         = [ 'src/time.cc', 'src/bbt_time.cc' ]
    obj.export_includes = ['.']
    obj.includes       = ['.', './src']
    obj.name           = 'libtimecode'
    obj.target         = 'timecode'
    obj.vnum           = TIMECODE_LIB_VERSION
    obj.install_path   = os.path.join(bld.env['LIBDIR'], 'ardour3')

def shutdown():
    autowaf.shutdown()

=== debian/changelog ===
ardour3 (3.5.308~dfsg-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Use higher resolution picture for desktop icon (Closes: #729890).

  [ Adrian Knoth ]
  * Change Name entry in desktop file (Closes: #729890)
  * Remove python runtime dependencies
  * Imported Upstream version 3.5.308~dfsg (Closes: #734079 #733969)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 24 Jan 2014 16:31:54 +0100

ardour3 (3.5.143~dfsg-1) unstable; urgency=low

  * Imported Upstream version 3.5.143~dfsg

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 23 Dec 2013 22:07:52 +0100

ardour3 (3.5.74~dfsg-1) unstable; urgency=low

  * Imported Upstream version 3.5.74~dfsg
  * Refresh waf.patch
  * Add wscript.patch to match upstream's new version schema

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 06 Nov 2013 13:22:44 +0100

ardour3 (3.5.14~dfsg-1) unstable; urgency=low

  * Imported Upstream version 3.5.14~dfsg (Closes: #727038)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 23 Oct 2013 20:31:25 +0200

ardour3 (3.5~dfsg-1) unstable; urgency=low

  * Build for i686 instead of i386 to enable SSE
  * Imported Upstream version 3.5~dfsg

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 17 Oct 2013 11:16:21 +0200

=== debian/control ===
Source: ardour3
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cdbs,
 autotools-dev,
 devscripts,
 debhelper (>= 9~),
 dh-buildinfo,
 gettext,
 intltool,
 libboost-dev (>= 1.49.0),
 libcurl4-gnutls-dev (>= 7.25.0),
 libfftw3-dev (>= 3.3.1),
 libraptor2-dev (>= 2.0.9),
 librdf0-dev (>= 1.0.15),
 liblrdf0-dev (>= 0.4.0),
 libserd-dev (>= 0.18.2~),
 libsord-dev (>= 0.12.0~),
 libsuil-dev (>= 0.6.10~),
 liblilv-dev,
 libsratom-dev (>= 0.4.2~),
 libsigc++-2.0-dev (>= 2.2.10),
 libusb-dev,
 uuid-dev,
 libxml2-dev (>= 2.5.7),
 librasqal3-dev (>= 0.9.28),
 libcwiid-dev,
 libcairomm-1.0-dev (>= 1.10.0),
 libgnomecanvas2-dev (>= 2.30.3),
 libgnomecanvasmm-2.6-dev (>= 2.26.0),
 libgtkmm-2.4-dev (>= 2.24.2),
 libpangomm-1.4-dev (>= 2.28.4),
 ladspa-sdk (>= 1.1-2),
 libasound2-dev (>= 0.9.4),
 libaubio-dev (>= 0.3.2),
 libjack-dev,
 liblo-dev (>= 0.26~),
 libsamplerate0-dev (>= 0.1.8),
 libsndfile1-dev (>= 1.0.25),
 libsoundtouch-dev (>= 1.5.0),
 lv2-dev (>= 1.2.0),
 vamp-plugin-sdk (>=2.1),
 python-setuptools,
 python-isodate,
 libpcre3-dev,
 python-rdflib
Standards-Version: 3.9.4
Homepage: http://www.ardour.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ardour3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ardour3.git

Package: ardour3
Architecture: any
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 ${cdbs:Recommends}
Suggests:
 ${shlibs:Suggests}
Conflicts:
 ${cdbs:Conflicts}
Replaces:
 ${cdbs:Replaces}
Description: digital audio workstation (graphical gtk2 interface)
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups.
 .
 Ardour supports pro-audio interfaces
 through the ALSA project, which provides high quality, well designed
 device drivers and API's for audio I/O under Linux. Any interface
 supported by ALSA can be used with Ardour. This includes the
 all-digital 26 channel RME Hammerfall, the Midiman Delta 1010 and many
 others.
 .
 Ardour has support for 24 bit samples
 using floating point internally, non-linear editing with unlimited undo,
 a user-configurable mixer, MTC master/slave capabilities, MIDI hardware
 control surface compatibility.
 .
 It supports MIDI
 Machine Control, and so can be controlled from any MMC controller and
 many modern digital mixers.
 .
 Ardour contains a
 powerful multitrack audio editor/arranger that is completely
 non-destructive and capable of all standard non-linear editing
 operations (insert, replace, delete, move, trim, select,
 cut/copy/paste). The editor has unlimited undo/redo capabilities and can
 save independent "versions" of a track or an entire piece
 .
 Ardour's editor supports the community-developed LADSPA
 plugin standard.  Arbitrary chains of plugins can be attached to any
 portion of a track.  Every mixer strip can have any number of inputs
 and outputs, not just mono, stereo or 5.1.  An N-way panner is
 included, with support for various panning models.  Pre- and post-fader
 sends exist, each with their own gain and pan controls.  Every mixer
 strip acts as its own bus, and thus the bus count in Ardour is
 unlimited.  You can submix any number of strips into another
 strip.
 .
 Ardour's channel capacity is limited only
 by the number on your audio interface and the ability of your disk
 subsystem to stream the data back and forth.
 .
 JACK
 (the JACK Audio Connection Kit) is used for all audio I/O, permitting
 data to be exchanged in perfect samplesync with other applications
 and/or hardware audio interfaces.
 .
 Ardour is
 sample rate and size neutral - any hardware formats from 8 to 32 bits,
 and rates from 8kHz to 192kHz.  Internal processing in 32/64 bit IEEE
 floating point format.
 .
 Further information can be
 found at <http://ardour.org/>.

=== debian/rules ===
#!/usr/bin/make -f
#
# Robert Jordens <jordens@debian.org>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_CLEAN_EXCLUDE=debian/tmp
DEB_DESTDIR = $(CURDIR)/debian/tmp/

# ignore oddly packaged bzip2 archive to not upset dpkg
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^\./waf|\./debian/(changelog|copyright(|_hints|_newhints))$

DIST_TARGET = none
ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
	DIST_TARGET = i686
endif
ifneq (,$(findstring amd64,$(DEB_BUILD_ARCH)))
	DIST_TARGET = x86_64
endif

LD_LIBRARY_PATH += :$(DEB_DESTDIR)/usr/lib/ardour3/

waf-configure-options = --lv2 \
	--lxvst \
	--freedesktop \
	--configdir=/etc/ \
	--noconfirm \
	--prefix=/usr/ \
	--no-phone-home \
	--dist-target=$(DIST_TARGET) \
	--optimize \


DEB_MAKE_EXTRA_ARGS = -v --destdir=$(CURDIR)/debian/tmp
DEB_MAKE_BUILD_TARGET = build i18n_mo
DEB_MAKE_ENVVARS = CFLAGS="$(or $(CFLAGS_$(cdbs_curpkg)),$(CFLAGS))" CXXFLAGS="$(or $(CXXFLAGS_$(cdbs_curpkg)),$(CXXFLAGS))" CPPFLAGS="$(or $(CPPFLAGS_$(cdbs_curpkg)),$(CPPFLAGS))" LDFLAGS="$(or $(LDFLAGS_$(cdbs_curpkg)),$(LDFLAGS))"
DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) $(CURDIR)/waf-light $(DEB_MAKE_EXTRA_ARGS)
DEB_MAKE_INSTALL_TARGET = install


clean::
	rm -f autowaf.pyc
	rm -f .lock-wscript .lock-waf_linux2_build
	find waflib -name "*.pyc" -delete || true
	find . -name "*.mo" -delete || true
	rm -rf build
	rm -f \
		gtk2_ardour/version.cc\
		gtk2_ardour/version.h\
		libs/ardour/ardour/version.h\
		libs/ardour/config_text.cc\
		libs/ardour/svn_revision.cc\
		libs/ardour/version.cc\
		libs/gtkmm2ext/gtkmm2ext/version.h\
		libs/gtkmm2ext/version.cc\
		libs/midi++2/midi++/version.h\
		libs/midi++2/version.cc\
		libs/pbd/pbd/version.h\
		libs/pbd/version.cc
	rm -rf debian/tmp


common-configure-arch common-configure-indep:: common-configure-impl
common-configure-impl:: libs/ardour/revision.cc debian/stamp-waf-configure


libs/ardour/revision.cc:
	echo '#include "ardour/revision.h"' > $@
	echo "namespace ARDOUR { const char* revision = \"${DEB_VERSION}\"; }" >> $@

debian/stamp-waf-configure:
	chmod +x ./waf-light
	$(DEB_MAKE_INVOKE) configure $(waf-configure-options)
	touch $@
clean::
	rm -f debian/stamp-waf-configure
	rm -f libs/ardour/revision.cc

# Needed at build time
# (separated in build tools, core, Glib/GTK and audio dependencies)
CDBS_BUILD_DEPENDS += , gettext,\
					  intltool
CDBS_BUILD_DEPENDS += , libboost-dev (>= 1.49.0),\
					  libcurl4-gnutls-dev (>= 7.25.0),\
					  libfftw3-dev (>= 3.3.1),\
					  libraptor2-dev (>= 2.0.9),\
					  librdf0-dev (>= 1.0.15),\
					  liblrdf0-dev (>= 0.4.0), \
					  libserd-dev (>= 0.18.2~),\
					  libsord-dev (>= 0.12.0~),\
					  libsuil-dev (>= 0.6.10~),\
					  liblilv-dev,\
					  libsratom-dev (>= 0.4.2~),\
					  libsigc++-2.0-dev (>= 2.2.10),\
					  libusb-dev,\
					  uuid-dev,\
					  libxml2-dev (>= 2.5.7),\
					  librasqal3-dev (>= 0.9.28),\
					  libcwiid-dev
CDBS_BUILD_DEPENDS += , libcairomm-1.0-dev (>= 1.10.0),\
					  libgnomecanvas2-dev (>= 2.30.3),\
					  libgnomecanvasmm-2.6-dev (>= 2.26.0),\
					  libgtkmm-2.4-dev (>= 2.24.2),\
					  libpangomm-1.4-dev (>= 2.28.4)
CDBS_BUILD_DEPENDS += , ladspa-sdk (>= 1.1-2),\
					  libasound2-dev (>= 0.9.4),\
					  libaubio-dev (>= 0.3.2),\
					  libjack-dev,\
					  liblo-dev (>= 0.26~),\
					  libsamplerate0-dev (>= 0.1.8),\
					  libsndfile1-dev (>= 1.0.25),\
					  libsoundtouch-dev (>= 1.5.0),\
					  lv2-dev (>= 1.2.0),\
					  vamp-plugin-sdk (>=2.1)
CDBS_BUILD_DEPENDS += , python-setuptools,\
					  python-isodate,\
					  libpcre3-dev,\
					  python-rdflib


# Needed always/often/sometimes at runtime
CDBS_DEPENDS_ALL = jackd
CDBS_RECOMMENDS_ALL = iceweasel | www-browser
CDBS_SUGGESTS_ALL = jamin, qjackctl

# Ensure only one variant is installed at a time
CDBS_PROVIDES_ardour-altivec = ardour
CDBS_PROVIDES_ardour-i686 = ardour

# Quirk for derivatives using different packaging name
ifeq (Ubuntu,$(shell dpkg-vendor --query Vendor))
CDBS_RECOMMENDS_ALL = firefox | www-browser
endif
